package params;

import com.sunyard.chsm.enums.Padding;
import lombok.Data;

@Data
public class DTOSymReq {

    // 应用 Id
    private Long appId;

    // 密钥 Id
    private Long keyId;

    // 算法
    private String alg;

    // 模式
    private String mode = "ECB";

    // padding
    private String padding = Padding.NOPadding.getCode();

    // iv 可以为 null，base64 编码
    private String iv;

    // 计算数据 base64 编码
    private String data;
}
